=== debian/changelog ===
copyq (3.7.0-0.1~mx15+1) mx; urgency=medium

  * New upstream release.
  * Disable automatic dbgsym packages.
  * Make recommended packages hard dependencies.
  * Revert to debhelper 10 compat to ease backporting.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 04 Nov 2018 14:34:05 -0800

copyq (3.6.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.
    This should be reverted after the decommission of python2.
  
  [ Boyuan Yang ]
  * Also explicitly add python3 as build dependency.

 -- Boyuan Yang <byang@debian.org>  Tue, 23 Oct 2018 10:34:32 -0400
