=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT := 5


%:
	dh $@ --with sphinxdoc

%-arch:
	dh $@

%-indep:
	dh $@ --with sphinxdoc

clean:
	dh $@

override_dh_auto_clean-indep:
	rm -rf _build/

override_dh_auto_configure-arch:
	dh_auto_configure -- \
		-DWITH_WEBKIT=1

override_dh_auto_configure-indep:

override_dh_auto_build-indep: _build/html/

_build/html/: docs/conf.py $(wildcard docs/*.rst docs/images/*)
	python3 -m sphinx docs/ $@

override_dh_auto_install-indep:

override_dh_missing:
	dh_missing --fail-missing

override_dh_strip:
	dh_strip --no-automatic-dbgsym
