=== debian/changelog ===
copyq (3.7.1-1) unstable; urgency=medium

  * New upstream release 3.7.1.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Dec 2018 19:50:20 -0500

copyq (3.7.0-1) unstable; urgency=medium

  * New upstream release 3.7.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 09 Nov 2018 16:21:56 -0500
