=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Yangfl <mmyangfl@gmail.com>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper (>= 11~),
 Build-Depends-Arch:
  libqt5svg5-dev,
  libqt5x11extras5-dev,
@@ -19,7 +18,7 @@
  qttools5-dev-tools,
 Build-Depends-Indep:
  python3,
- python3-sphinx (>= 1.4.9),
+ python3-sphinx,
  python3-sphinx-rtd-theme,
 Standards-Version: 4.2.1
 Homepage: https://hluk.github.io/CopyQ/
@@ -31,6 +30,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
  copyq-plugins (= ${binary:Version}),
  libqt5svg5,
 Suggests:
