=== debian/changelog ===
copyq (3.7.2-1) unstable; urgency=medium

  * New upstream release 3.7.2.
  * debian/control:
    + Build-depends on debhelper-copmat (= 12) instead of using
      debian/compat file.
    + Bump Standards-Version to 4.3.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Jan 2019 20:34:40 -0500
