=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
 Build-Depends-Arch:
  libqt5svg5-dev,
  libqt5x11extras5-dev,
@@ -20,7 +20,7 @@
  python3,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://hluk.github.io/CopyQ/
 Vcs-Browser: https://salsa.debian.org/debian/copyq
 Vcs-Git: https://salsa.debian.org/debian/copyq.git
