## copyq 3.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,8 +44,8 @@
 set(copyq_ICON_PREFIX src/images/icon)
 set(copyq_ICON_NORMAL src/images/icon.svg)
 set(copyq_ICON_BUSY   src/images/icon-busy.svg)
-set(copyq_ICON_MASK   src/images/icon-mask.svg)
-set(copyq_ICON_BUSY_MASK src/images/icon-busy-mask.svg)
+set(copyq_ICON_MASK   src/images/icon_mask.svg)
+set(copyq_ICON_BUSY_MASK src/images/icon_mask-busy.svg)
 set(copyq_DESKTOP     shared/${copyq_APP_ID}.desktop)
 set(copyq_APPDATA     shared/${copyq_APP_ID}.appdata.xml)
 set(copyq_MANPAGE     debian/copyq.1)
@@ -159,8 +159,8 @@
 if (UNIX AND NOT APPLE)
     install(FILES ${copyq_ICON_NORMAL} DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}.svg)
     install(FILES ${copyq_ICON_BUSY}   DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}-busy.svg)
-    install(FILES ${copyq_ICON_MASK}   DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}-mask.svg)
-    install(FILES ${copyq_ICON_BUSY_MASK} DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}-busy-mask.svg)
+    install(FILES ${copyq_ICON_MASK}   DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}_mask.svg)
+    install(FILES ${copyq_ICON_BUSY_MASK} DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}_mask-busy.svg)
     install(FILES ${copyq_APPDATA}     DESTINATION ${APPDATA_INSTALL_PREFIX})
     install(FILES ${copyq_MANPAGE}     DESTINATION ${MANPAGE_INSTALL_PREFIX})
