=== debian/changelog ===
copyq (3.7.3-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.
  * Make plugins and Qt5 SVG hard Ds instead of Recommends.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 06 Apr 2019 16:06:42 -0700

copyq (3.7.3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Feb 2019 11:15:09 -0500

copyq (3.7.3-1) unstable; urgency=medium

  * New upstream release 3.7.3
  * debian/control:
    + R³: Use Rules-Requires-Root: no.
  * debian/copyright: Correctly mark appdata xml as CC0-1.0
    licensed.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Feb 2019 10:53:31 -0500
