=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper (>= 10),
 Build-Depends-Arch:
  libqt5svg5-dev,
  libqt5x11extras5-dev,
@@ -20,6 +21,7 @@
  python3,
  python3-sphinx,
  python3-sphinx-rtd-theme,
+Rules-Requires-Root: no
 Standards-Version: 4.3.0
 Homepage: https://hluk.github.io/CopyQ/
 Vcs-Browser: https://salsa.debian.org/debian/copyq
@@ -30,7 +32,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends:
  copyq-plugins (= ${binary:Version}),
  libqt5svg5,
 Suggests:
