=== debian/changelog ===
copyq (3.8.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release, build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 11 Apr 2019 14:37:00 -0700

copyq (3.7.3-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.
  * debian/control:
    - make plugins and Qt5 SVG hard depends instead of Recommends.
  * - add minimum version of python3-sphinx needed to prevent FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 06 Apr 2019 16:06:42 -0700
