## copyq 3.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
-cmake_minimum_required(VERSION 2.8.12)
 project(copyq)
 
-if (NOT APPLE)
+if (APPLE)
+    cmake_minimum_required(VERSION 3.1)
+    set(COPYQ_EXECUTABLE_NAME "CopyQ")
+else()
+    cmake_minimum_required(VERSION 2.8.12)
     set(COPYQ_EXECUTABLE_NAME ${PROJECT_NAME})
-else()
-    set(COPYQ_EXECUTABLE_NAME "CopyQ")
 endif()
 
 # C++11
@@ -35,7 +36,7 @@
     set(THEME_INSTALL_PREFIX "${DATA_INSTALL_PREFIX}/copyq/themes" CACHE PATH "Install path for themes")
     set(DESKTOP_INSTALL_PREFIX "${DATA_INSTALL_PREFIX}/applications" CACHE PATH "Install path for desktop file")
     set(APPDATA_INSTALL_PREFIX "${DATA_INSTALL_PREFIX}/metainfo" CACHE PATH "Install path for AppData file")
-    set(MANPAGE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_MANDIR}/man1" CACHE PATH "Install path for manual pages")
+    set(MANPAGE_INSTALL_PREFIX "${CMAKE_INSTALL_MANDIR}/man1" CACHE PATH "Install path for manual pages")
     set(TRANSLATION_INSTALL_PREFIX "${DATA_INSTALL_PREFIX}/copyq/translations" CACHE PATH "Install path for translations")
     set(ICON_NAME "copyq" CACHE STRING "Name for icon files")
     set(COPYQ_AUTOSTART_COMMAND "" CACHE STRING "Autostart command")
