=== debian/changelog ===
copyq (3.9.0-1) unstable; urgency=medium

  * New upstream release 3.9.0.
  * debian/control: Bump Standards-Version to 4.4.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jul 2019 15:19:46 -0400
