=== debian/changelog ===
copyq (3.9.1-1) unstable; urgency=medium

  * New upstream release 3.9.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Aug 2019 11:36:00 -0400
