## copyq 3.9.2

=== debian/changelog ===
copyq (3.9.2-1~mx19+1) mx; urgency=medium

  * New upstream release:
    - Fix unnecessary tab reloading after expired.
    - Fix repeated menu updates.
    - Fix loading tabs with an empty item
    - Fix initializing expire timeout (it was always 0 or 1 minute)

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 05 Sep 2019 18:09:52 -0700

copyq (3.9.1-0.1~mx17+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Aug 2019 11:38:18 -0700

copyq (3.9.0-1~mx19+1) mx; urgency=medium

  * New upstream release, build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 19 Jul 2019 17:56:40 -0700
