=== debian/changelog ===
copyq (3.9.3-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 19 Nov 2019 15:28:30 -0800

copyq (3.9.3-1) unstable; urgency=medium

  * New upstream release 3.9.3.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Build-depends on python3:any.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Nov 2019 19:43:40 -0500

copyq (3.9.2-1) unstable; urgency=medium

  * New upstream release 3.9.2.

 -- Boyuan Yang <byang@debian.org>  Thu, 29 Aug 2019 15:51:06 -0400
