=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -17,11 +18,11 @@
  qttools5-dev,
  qttools5-dev-tools,
 Build-Depends-Indep:
- python3,
+ python3:any,
  python3-sphinx,
  python3-sphinx-rtd-theme,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://hluk.github.io/CopyQ/
 Vcs-Browser: https://salsa.debian.org/debian/copyq
 Vcs-Git: https://salsa.debian.org/debian/copyq.git
@@ -31,7 +32,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends:
  copyq-plugins (= ${binary:Version}),
  libqt5svg5,
 Suggests:
