=== plugins/itemtags/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
     ../../src/gui/iconselectdialog.cpp
     ../../src/gui/iconwidget.cpp
     ../../src/gui/iconfont.cpp
+    ../../src/gui/screen.cpp
     )
 
 copyq_add_plugin(itemtags)
