=== debian/changelog ===
copyq (3.10.0-1) unstable; urgency=medium

  * New upstream release 3.10.0. 
  * debian/control:
    + Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Feb 2020 20:36:56 -0500
