=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Yangfl <mmyangfl@gmail.com>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -22,7 +21,7 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://hluk.github.io/CopyQ/
 Vcs-Browser: https://salsa.debian.org/debian/copyq
 Vcs-Git: https://salsa.debian.org/debian/copyq.git
@@ -32,6 +31,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
  copyq-plugins (= ${binary:Version}),
  libqt5svg5,
 Suggests:
