=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,3 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
